Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.exception
Class ExtCertificateEncodingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.security.GeneralSecurityException
                  java.security.cert.CertificateException
                      java.security.cert.CertificateEncodingException
                          org.bouncycastle.jce.exception.ExtCertificateEncodingException

All Implemented Interfaces:
  java.io.Serializable, ExtException

    public class ExtCertificateEncodingException

extends java.security.cert.CertificateEncodingException
implements ExtException

See Also:
  Serialized Form

Constructor Summary
`ExtCertificateEncodingException(java.lang.String message, java.lang.Throwable cause)`

Method Summary
`java.lang.Throwable` | `getCause()` Returns the cause of the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtCertificateEncodingException

    public ExtCertificateEncodingException(java.lang.String message,
                                           java.lang.Throwable cause)

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Description copied from interface: `ExtException`
  Returns the cause of the exception.

  Specified by:
    `getCause` in interface `ExtException`
  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    The cause of the exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD